/********************** HOMEPAGE SUBJECTS GRID *******************/
.homepage-subjects-grid {display: grid; grid-auto-rows: auto; grid-template-columns: repeat(auto-fill, minmax(65px, 1fr)); row-gap: 15px; column-gap: 1px;}

/* homepage subject btns */
.homepage-subject-button, .homepage-subject-button:hover {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  margin: 0;
  width: auto;
  min-width: 70px;
  font-size: 13px;
  text-align: center;
  border-radius: var(--unit);
  color: var(--black);
  text-decoration: none;
  gap: calc(var(--unit) * 0.8);
}


.homepage-subject-button:hover img {
  background: oklch(from var(--yellow) l c h / 0.1);
  background: var(--faintBlue);
  background: var(--lightGray);
}

.homepage-subject-button.current {font-weight: bold;}

.homepage-subject-button.current img {
  background: var(--yellow);
}

.homepage-subject-button img {
  margin-bottom: 3px;
  width: 50px;
  box-shadow: 0px 2px 6px 0px rgba(0, 0, 0, 0.2); 
  border-radius: 10px;
  padding: 5px;
  background-color: white;
}

.homepage-subject-button:focus-visible{
  outline: 2px solid var(--blue);
}

.homepage-box-buttons .button-image {width: 21px; height: 21px; background: var(--black);}
.homepage-box-buttons a {
  color: var(--black); padding: 5px 9px; background: white; border-radius: var(--unit);
  background: var(--faintGray);
  display: flex;
  align-items: center;
  gap: var(--unit);
}
.homepage-box-buttons a:hover {
  color: var(--black);
  background: var(--lightGray);
  text-decoration: none;
}
.homepage-box-buttons a:focus-visible {
  outline: 2px solid var(--blue);
}

/* homepage homework grid */
.homepage-hw-item {
  display: grid; grid-template-columns: 1fr 1fr auto;
  border-radius: calc(var(--unit) / 1.5);
  justify-items: start;
  align-items: center;
  padding: 8px 0;
  gap: var(--unit);
  border-bottom: 1px solid var(--lightGray);
}

.homepage-hw-item-overview {
  grid-template-columns: 2fr 0.5fr 0.2fr auto;
}

.homepage-hw-item:hover {background: var(--faintGray);}
.homepage-hw-item:last-child {border: none;}

.hide-when-empty:empty {display: none;}

@media (max-width: 500px) {
  .homepage-hw-item {grid-template-columns: 1fr 1fr;}
  .homepage-hw-item > *:nth-child(3) {
    grid-column: 1 / span 2;
    grid-row: 2;
  }
}

/* today panel in avatarBox */
#content .todayPanel{
  display: flex;
  gap: calc(var(--unit) / 2);
  justify-content: flex-start;
  align-items: center;  
  margin-bottom: 10px;
  flex-wrap: wrap;
}
#content .todayPanel div {
  display: flex;
  flex-wrap: nowrap;
  justify-content: space-around;
  gap: calc(var(--unit) / 1.5);
  background-color: var(--lightGray);
  border-radius: 7px;
  padding: 4px 5px;
}

#content .todayPanel img{
  height:29px;
}

#content .todayPanel p{  
  margin: 0px;
}

@media screen and (max-width: 800px) {
  /* start of small tablet styles */
  #content .todayPanel {
      grid-template-columns: repeat(auto-fit, minmax(50px, 1fr));
    }
}